org.gradle.tooling.model

## Interface Task

- All Known Subinterfaces:
    EclipseTask, GradleTask

      public interface Task

  Represents a task which is executable by Gradle.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Returns the description of this task, or `null` if it has no description.
    `String` | `getName()` Returns the name of this task.
    `String` | `getPath()` Returns the path of this task.
    `Element` | `getProject()` Returns the element which this task belongs to.

- - ### Method Detail

    - #### getPath

          String getPath()

      Returns the path of this task. This is a fully qualified unique name for this task.
      Returns:
        The path of this task.

    - #### getName

          String getName()

      Returns the name of this task. Note that the name is not necessarily a unique identifier for the task.
      Returns:
        The name of this task.

    - #### getDescription

          @Nullable
          String getDescription()

      Returns the description of this task, or `null` if it has no description.
      Returns:
        The description of this task, or `null` if it has no description.

    - #### getProject

          Element getProject()

      Returns the element which this task belongs to.
      Returns:
        The element which this task belongs to.